/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
////////////////////////////////////////////////////////////////////////
// Some metal textures                                                //
// By: Han-Kwang Nienhuys                                             //
////////////////////////////////////////////////////////////////////////

#declare copper = texture { finish { // red copper
    ambient color rgb <0.03, 0.003, 0>
    diffuse color rgb <0.1, 0.01, 0>
    specular color rgb <0.7, 0.6, 0.4>
    brilliance 3
    microfacet Blinn
    angle 5
    reflection color rgb <0.7, 0.6, 0.25>
  }
}

#declare coppergrease = texture { finish { // red copper with grease
    ambient color rgb <0.03, 0.003, 0>
    diffuse color rgb <0.3, 0.21, 0.08>
    specular color rgb <0.7, 0.6, 0.4>
    brilliance 3
    microfacet Blinn
    angle 5
    reflection color rgb <0.5, 0.4, 0.17>
  }
}

#declare trumpetbrass = texture { finish { // the kind of brass in musical instruments
    ambient color rgb <0.03, 0.003, 0>
    diffuse color rgb <0.1, 0.01, 0>
    specular color rgb <0.7, 0.6, 0.4>
    brilliance 3
    microfacet Blinn
    angle 5
    reflection color rgb <0.7, 0.6, 0.15>
  }
}

#declare ns1 = texture { finish {
    ambient color rgb <0.05, 0.05, 0.05>
    diffuse color rgb <0.1, 0.1, 0.1>
    specular color rgb <0.7, 0.7, 0.7>
    brilliance 3
    microfacet Blinn
    angle 5
    reflection color rgb <0.7, 0.7, 0.7>
  }
}

#declare ns2 = texture { finish {
    ambient color rgb <0.05>
    diffuse color rgb <0.05>
    specular color rgb <0.7>
    brilliance 3
    microfacet Blinn
    angle 5
    reflection color rgb <0.6, 0.6, 0.6>
  }
}

#declare ns3 = texture { finish {
    ambient color rgb <0.04>
    diffuse color rgb <0.04>
    specular color rgb <0.8>
    brilliance 3
    microfacet Blinn
    angle 3
    reflection color rgb <0.6, 0.6, 0.6>
  }
}

#declare ns4 = texture { finish {
    ambient color rgb <0.14>
    diffuse color rgb <0.14>
    specular color rgb <2>
    brilliance 3
    microfacet Blinn
    angle 1
    reflection color rgb <0.6, 0.6, 0.6>
  }
}

#declare ns5 = texture { finish {
    ambient color rgb <0.14>
    diffuse color rgb <0.14>
    specular color rgb <2>
    brilliance 3
    microfacet Blinn
    angle 1
    reflection color rgb <0.45, 0.45, 0.45>
  }
}

#declare ns6 = texture { finish {
    ambient color rgb <0.14, 0.14, 0.1>
    diffuse color rgb <0.14, 0.14, 0.1>
    specular color rgb <2>
    brilliance 3
    microfacet Blinn
    angle 1
    reflection color rgb <0.45, 0.45, 0.35>
  }
}

#declare ns7 = texture { finish {
    ambient color rgb <0.1, 0.1, 0.08>
    diffuse color rgb <0.1, 0.1, 0.08>
    specular color rgb <2>
    brilliance 3
    microfacet Blinn
    angle 1
    reflection color rgb <0.5, 0.45, 0.4>
  }
}

#declare ns8 = texture { finish {
    ambient color rgb <0.1, 0.1, 0.08>
    diffuse color rgb <0.1, 0.1, 0.08>
    specular color rgb <2>
    brilliance 3
    microfacet Blinn
    angle 1
    reflection color rgb <0.5, 0.45, 0.35>
  }
}

#declare mybrass=texture {trumpetbrass }

#declare nickelsilver = texture {ns8 } // silvery color used in brass instruments
