/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*


    A Trumpet

       by

    Han-Kwang Nienhuys

    "internet" Han-Kwang.Nienhuys@p3.f705.n281.z2.fidonet.org
    fidonet 2:281/705.3

    Copyright 1994. Distribution, if unmodified, is free.

object { trumpet } :
  Trumpet with cone to -x, mouthpiece +x, reference point bottom of valve #2

object { trumpetflat } :
  Trumpet lying flat on table, table surf at y=0, top of valves pointing to -z, center at about <0>

*/

#include "mybrass.inc"
#include "tstandard.inc"
#include "las1.inc"
#include "cone.inc" 		// cone -- valve 1 (without valve 1)
#include "valve.inc"  		// general valve
#include "valve1.inc"
#include "valve2.inc"
#include "valve3.inc"
#include "valveconnect.inc"
#include "mouthtube.inc"

/*

  REFERENCE POINT OF TRUMPET:

  bottom of valve #2

*/

#declare trumpet = composite {
    object { conebend translate <24.5, 36.5, 0> }
    object { valve1 translate 24.5*x }
    object { valve2 }
    object { valve3 translate -24.5*x }
    object { valveconnect }
    object { mouthtube translate <-24.5, 42.95, 0> }
    texture { mybrass }
}

#declare trumpetflat = composite {
    object { trumpet }
    rotate -x*65
    rotate -z*6.1
    rotate x*0.5
    translate <0, 11.7, 50>
}






