/*
 * GLOBAL VARIABLES. They are declared EXTERN, which means extern. global
 * storage for all variables is done in _one_ source file (initialize.c)
 *
 * Distributed under terms of the GNU General Public License, see "copying"
 *
 * (C) 1993, 1994 Han-Wen Nienhuys <hanwen@stack.urc.tue.nl>
 */
#ifndef EXTERN_HH
#define EXTERN_HH
#include "ray.hh"
/* resolution */
EXTERN  int xres,
        yres;
	
EXTERN bool trace_start,
        keyboard_exit,          /* allow early break via keypress? */
        continue_flag,          /* continue picture? */
        silent_mode,
        test_flag;

EXTERN long int test_stat,      /* variable for debugging and testing */
        debug_options;

EXTERN FILE *error_out;         /* for putting errors in */ 	




EXTERN int        iter_override;          /* number of tries set from commandline  */
EXTERN flt tolerance;  		        /* tolerance for intersection */
#include "scene.hh"
EXTERN  Scene       the_scene;
#endif
