/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/

#include "colors.inc"
#include "standard.inc"
#include "shapes.inc"
#include "trumpet.inc"
#include "room.inc"

#declare camera1 = camera { 
 location <3000,1301,2001> 
 sky y
 look_at <3500,900,1750>
 fov 35
 aspect 1.5
}


object {room}
object {trumpetflat rotate -y*70 translate <3500,800,1800>}

light_source { <2000, 1500, 3998> radius 500 } // light from window

camera { camera1 }

options { antialias Gauss_filter
  background color Grey
  jitter 1
  depth 3
}


