/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

object { valveconnect }

connections valves-valves, valves-mouthtube, valves-cone, cone-mouthtube

Reference: bottom of valve#2

*/



#declare vvtube = intersection {
    torus { 20, 6.5 }
    plane { -x, 7 }
    plane { x, 7 }
    plane { z, 0 }
    translate <0, 0, 12.5>
}

#declare vvconn = composite {
    cylinder { <0.5, 0, 0>, <3, 0, 0>, 3.8 }
    cylinder { <-0.5, 0, 0>, <-3, 0, 0>, 3.8 }
    cylinder { <-1, 0, 0>, <1, 0, 0>, 3.3 }
}

#declare valveconnect = composite {
    object { vvtube translate <12.25, 42, 0> } // between 1-2
    object { vvtube translate <-12.25, 36, 0 > } // between 2-3
    
    object { vvconn translate <12.25, 18.5, 0 > } // valve/valve
    object { vvconn translate <12.25, 65.5, 0 > }
    object { vvconn translate <-12.25, 18.5, 0 > }
    object { vvconn translate <-12.25, 65.5, 0 > }
    
    cylinder { <0, 108.5, -23>, <0, 108.5, 23>, 2 } // tube/valve/tube
    
    cylinder { <-131, 108.5, 22>, <-131-12, 108.5, -23>, 2.5 } // tube/tube
    cylinder { <114, 108.5, 22>, <114-12, 108.5, -23>, 2.5 }
    
}



