/*
   This scene is (c) 1995 Han-Kwang Nienhuys

   Distributed under terms of the GPL.
*/
/*

water valve


             /
           \/
       ||  /
      ====/


Ref: same as tuneslide

*/

#declare cork = texture {
pigment{    color rgb <0.25, 0.1, 0>}
finish{
    brilliance 0
    roughness 1
    reflection color rgb <0>
}}

#declare waterv = composite {
    
    cylinder{ <0>, 3*y, 0.5 scale <20, 1, 6> translate x*15 }
    box {<0, 0, -1>,< 10, 3, 1> }
    rotate z*8
    intersection {
        cylinder { <1.5, 0, -0.99>, <1.5, 0, 0.99>, 6.5 }
        plane { -y, -1.5 }
    }
    
    composite {
        cylinder { <0, 0, -5>, <-0, 0, 5>, 2.5 } //axis
        cylinder { <0, 0, -12>, <0, 0, 12>, 1.5 } //axis
        intersection {
            sphere { <0>, 2.75 }
            plane {x, 1.75 }
            plane {-x, 1.75 }
            translate 7.75*z
        }
        intersection {
            sphere { <0>, 2.75 }
            plane {x, 1.75 }
            plane {-x, 1.75 }
            translate -7.75*z
        }
        cylinder { <0, 0, -7.75>, <0, 15, 0>, 1.5 }
        cylinder { <0, 0, 7.75>, <0, 15, 0>, 1.5 }
        translate <1.5, 3, 0>
    }
    
    rotate z*8
    box {<-17, 0, -1>,< 0, 3, 1> }
    rotate z*12 translate x*15
    object { Hexagon scale <1.25, 5.5, 5.5> rotate z*90 translate y*1.25 }
    composite {
        torus {4.25, 1.25 }
        disc {1.25*y, y, 4.25 }
        texture {cork }
        translate y*3.75
    }
    cylinder {5*y, 15*y, 3 }
    rotate 33*z
    scale <-1, 1, 1>
    translate <-33, -12, 0>
    texture {nickelsilver }
}


